<app-dialog-structure [title]="data.starShip ? 'Edit StarShip' :'Create StarShip'" [dialogRef]="dialogRef">
    <mat-horizontal-stepper [linear]="true">

        <mat-step [stepControl]="form.get('information')">
            <ng-template matStepLabel>Information</ng-template>
            <app-starship-information [form]="form"></app-starship-information>
            <div class="d-flex justify-content-end">
                <button class="btn__primary" matStepperNext>Next</button>
            </div>
        </mat-step>

        <mat-step>
            <ng-template matStepLabel>Confirmation</ng-template>
            <app-starship-card class="add-edit-starship-card" [starShip]="getStarShip()"></app-starship-card>
            <div class="d-flex justify-content-end">
                <button class="btn__primary" (click)="saveStarShip()">Save</button>
            </div>
        </mat-step>

    </mat-horizontal-stepper>
</app-dialog-structure>